Status: Resolved Priority: Should have
Author: Alexander Opitz Category:
Created: 2015-02-25 Assigned To: Alexander Opitz
Updated: 2015-06-01 Due date:
TYPO3 Version: 6.2
PHP Version: 7.0
Complexity:
Is Regression: No
Sprint Focus:
Subject: ExtensionManagementUtilityTest::addTcaSelectItemInsertsItemAtSpecifiedPosition
Description

TYPO3\CMS\Core\Tests\Unit\Utility\ExtensionManagementUtilityTest::addTcaSelectItemInsertsItemAtSpecifiedPosition with
data set "add at end of array" ('', '', array(array('firstElement'), array('matchMe'), array('thirdElement'), array('insertedElement')))
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
     0 => Array (...)
     1 => Array (...)
     2 => Array (...)
-    3 => Array (...)
+    4 => Array (...)
 )

/home/opitz/projects/typo3-master/typo3-src/typo3/sysext/core/Tests/Unit/Utility/ExtensionManagementUtilityTest.php:754
/home/opitz/projects/neos-git/Packages/Libraries/phpunit/phpunit/phpunit7:56

TYPO3\CMS\Core\Tests\Unit\Utility\ExtensionManagementUtilityTest::addTcaSelectItemInsertsItemAtSpecifiedPosition with
data set "add at end if relative position was not found" ('notExistingItem', 'after', array(array('firstElement'), array('matchMe'),
array('thirdElement'), array('insertedElement')))
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
     0 => Array (...)
     1 => Array (...)
     2 => Array (...)
-    3 => Array (...)
+    4 => Array (...)
 )

=> array_values/array_slice/... PHP7 misbehavior, internal next key seams 1 to high for next insert.
=> Create ticket in PHP issue tracker
History
#1 - 2015-02-25 11:12 - Alexander Opitz
- Description updated

#2 - 2015-05-12 12:13 - Alexander Opitz
- Status changed from New to Resolved
- Assigned To set to Alexander Opitz

Issue is resolved in PHP7

#3 - 2015-06-01 12:40 - Alexander Opitz
- % Done changed from 0 to 100
